$(document).ready(function() {
  window.onerror = parent.window.onerror;
  $("#age-gate-entry-form").submit(submitAnswer);
});

function submitAnswer(e){
    console.log("[ConfirmPassword] age-gate-entry-form.submit()");
    if(e != null)
    {
      e.preventDefault();
    }
    // Close the password entry dialog
      $("#age-gate-dialog").dialog( "close" );      

      //Check the answer with the correct answer
      var answer = window.param1 * window.param2;
      var outcome = parseInt($("#age-gate-entry-field").val()) == answer;
      
      window.callback(outcome);

      // Clear the input value
      $("#age-gate-entry-field").val("");
      e.preventDefault();
      return false;
}

function setAgeGateConfirmationDescription(p_description){
  $("#ageGateDescriptionText").text(p_description);
}

function setAgeGateCallback(p_callback){
  window.callback = p_callback;
}

function generateQuestion(){
  window.param1 = Math.ceil(Math.random()* 5) + 7;
  window.param2 = Math.ceil(Math.random()* 9) + 3;

  $("#age-gate-question").text(parent.Tgoma.LanguageManager.getString("age_gate_question", window.param1, window.param2));
}

function showAgeGateDialog() {
  generateQuestion();

  var buttons = {};
  buttons[parent.Tgoma.LanguageManager.getString("BTN_submit")] = submitAnswer;
  buttons[parent.Tgoma.LanguageManager.getString("BTN_cancel")] = function () {
    $(this).dialog("close");
  };

 $("#age-gate-dialog").dialog({
    //position: { my: "bottom", at: "center", of: window },
    height: "auto",
    width: "60%",
    modal: true,
    open: function(event, ui) { $(".ui-dialog-titlebar-close").hide(); },
    buttons: buttons
  });
  $("#age-gate-entry-field").val("");

  $("#age-gate-dialog").show();
  $("#age-gate-dialog").dialog( "option", "position", { my: "center", at: "center center-20%", of: window} );
}

function ageGateDialogOpened(event, ui) {
  $(".ui-dialog-titlebar-close").hide();
    setTimeout(function()
    {  
      if(parent.Tgoma.ApplicationUtils.DeviceUtils.isMobile.iOS())
      {
        $("#age-gate-dialog").dialog( "option", "position", "center" );
      }
      else
      {
        $("#age-gate-dialog").dialog( "option", "position", "center center-20%" );
      }
    },1);
}